TakeUndoCancel Component

TakeUndoCancel

Description

This component provides a TAKE, UNDO, and DESELECT button set for use in a single layer matrix crosspoint selection panel. The component has several parameters that can be set at design time, and two parameters that are set at runtime. The matrix to be controlled is set by entering a name in the host script control "Instances" field. The source crosspoint and destination crosspoint are sent via either another script or, more usually, via the connections engine.

The source numeric ID is sent as parameter "sourceID" and the destination ID is sent as parameter "destID". Using a BNCS "Name Grid" or "Dest Grid" control, set to report on Index change enables the connection engine to pass the index values. Index values less than 1 count as deslection indication from the source or destination.

When the user presses the "Deselect" button the component sends a "deselect=-1" to the host. The value of -1 can be directed to the highlight function of the "Name Grid" or "Dest Grid" causing them to deselect any current active selection.

Commands

Name | Type | Use
instance | mandatory | Instance name for matrix to be controlled.
bgndStyle | Optional | Statesheet name that defines the colour of the background panel.
takeHigh | Optional | Statesheet name for TAKE button high brightness toggle setting.
takeLow | Optional | Statesheet name for TAKE button low brightness toggle setting.
takeDouble | Optional | Flag that defines if the TAKE button requires a double push. Allowed values "True" and "False" (case insensitive). Default "True"
undoDouble | Optional | Flag that defines if the UNDO button requires a double push. Allowed values "True" and "False" (case insensitive). Default "False"
sourceID | Integer (ASCII) | Matrix index value for selected source. A 0 or -1 means source deselect.
destID | Integer (ASCII) | Matrix index value for selected destination. A 0 or -1 means destination deselect.

Notifications

Name | Use
deselect=<-1> | Sent to indicate user has completed an action that no longer needs source and destination indicies.

Stylesheets

Name | Use
None | No named stylesheets used by default

Developers Notes

Developed by Andy Woodhouse for use in Academy Wood Norton installations.
Copyright BBC 2017